Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.assets
Interface StreamableResourceSource

All Known Implementing Classes:
  SRSCachingInterceptor, SRSCompressedCachingInterceptor, SRSCompressingInterceptor, SRSMinimizingInterceptor, StreamableResourceSourceImpl

    @UsesMappedConfiguration(value=ResourceTransformer.class)
    public interface StreamableResourceSource

Converts `Resource`s into `StreamableResource`s, and may be responsible for transforming resources based on file extension. In addition, service decorators added to the service may provide additional processing (compression, minimization, and caching).

Since:
  5.3

Method Summary
`StreamableResource` | `getStreamableResource(Resource baseResource, StreamableResourceProcessing processing, ResourceDependencies dependencies)` Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.

Method Detail

### getStreamableResource

    StreamableResource getStreamableResource(Resource baseResource,
                                             StreamableResourceProcessing processing,
                                             ResourceDependencies dependencies)
                                             throws java.io.IOException

  Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.

  Parameters:
    `baseResource` - the resource to convert
    `processing` - defines additional processing after the resource has been read and possibly transformed
    `dependencies` - Passed to any `ResourceTransformer` to track additional dependencies of the base resource
  Returns:
    the contents of the Resource, possibly transformed, in a streamable format.
  Throws:
    `java.io.IOException` - if the resource does not exist or a URL for the content is not available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.